This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 872815 - Display problems with hard-dependency on ogltrans installed in libreoffice-Impress (3.6.3.1)
Display problems with hard-dependency on ogltrans installed in libreoffice-Im...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-03 09:51 EDT by Bastián Díaz
Modified: 2012-11-23 02:59 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.6.3.2-8.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:59:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg Log (24.87 KB, text/x-log)
2012-11-03 09:51 EDT, Bastián Díaz
no flags Details

  None (edit)
Description Bastián Díaz 2012-11-03 09:51:15 EDT
Created attachment 637496 [details]
Xorg Log

Description of problem:

The problem is described in the following bug report: 813202

Libreoffice-ogltrans generates problems in displaying transitions in libreoffice-impress (3D and others).

Version-Release number of selected component (if applicable):

→ OS Fedora 18 Nightly build
→ Libreoffice 3.6.3.1

-The problem remains unchanged the bug described above.


Additional info:
→ In this new version of fedora, the aplication windows of the shell, displays icons with blurred (not in version 17)

→ In the game swell-foop there is a problem in the display when using the effect zealous (version 17 and 18). Perhaps it is related to a problem of graphic card configuración.

→ The videos that attach to the problem above, remain valid.
Comment 1 Caolan McNamara 2012-11-13 09:10:06 EST
"Libreoffice-ogltrans generates problems in displaying transitions in libreoffice-impress (3D and others)."

Are these *additional* problems from F-17, i.e. regressions from an earlier version ? What exactly goes wrong ?
Comment 2 Bastián Díaz 2012-11-13 12:09:16 EST
> Are these *additional* problems from F-17, i.e. regressions from an earlier
> version ? What exactly goes wrong ?

* There is a complete description of the error in bug 813202 (bug reported for fedora 17 version, but has the same impact on fedora 18)

Exactly what happens is when the package is installed libreoffice-ogltrans (now libreoffice-impress dependence), there is a deterioration in the display transitions libreoffice-impress.
This translates into displays slow freeze midway, that are not shown and which therefore can not be displayed, presentation smoothly.

The first problem is not being able to uninstall the package libreoffice-ogltrans (being libreoffice-impress dependence).

The second problem is that if the package is libreoffice-dependence ogltrans libreoffice-impress, transitions can be displayed correctly (without crashes and fluidly look) and do not affect the performance graph.
Comment 3 Caolan McNamara 2012-11-13 19:35:01 EST
dammit, I forget we didn't drop the dependency on ogltrans back then, but bumped it out to F-18 on the thinking we'd solve the problems by that then "far in the future time". On the bright side we got a lot of improvements in the 2d transitions and are having a stab at the 3d ones now https://fedoraproject.org/wiki/LibreOffice/SlideTransitions

We shouldn't have a hard dependency on ogltrans in F-18 either though, so lets drop that (again) for F-18.
Comment 4 Bastián Díaz 2012-11-13 20:35:59 EST
(In reply to comment #3)

thanks for everything!!!
Comment 5 Fedora Update System 2012-11-14 10:28:54 EST
libreoffice-3.6.3.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.3.2-8.fc18
Comment 6 Fedora Update System 2012-11-14 14:46:46 EST
Package libreoffice-3.6.3.2-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.6.3.2-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18181/libreoffice-3.6.3.2-8.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-11-23 02:59:18 EST
libreoffice-3.6.3.2-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.